Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.norm
Class InternalNormException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jini.norm.InternalNormException

All Implemented Interfaces:
  Serializable

public class InternalNormException
extends RuntimeException

This exception denotes a problem with the local implementation of a Norm server. The `detail` field will give a description that can be reported to Norm's developer (and may be documented in that Norm's documentation).

See Also:
  Serialized Form

Field Summary
`Throwable` | `nestedException` The exception (if any) that triggered the internal exception.

Constructor Summary
`InternalNormException(String str)` Create an exception, forwarding a string to the superclass constructor.
`InternalNormException(String str, Throwable ex)` Create an exception, forwarding a string and exception to the superclass constructor.

Method Summary
`void` | `printStackTrace()` Print the stack trace of this exception, plus that of the nested exception, if any.
`void` | `printStackTrace(PrintStream out)` Print the stack trace of this exception, plus that of the nested exception, if any.
`void` | `printStackTrace(PrintWriter out)` Print the stack trace of this exception, plus that of the nested exception, if any.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nestedException

    public final Throwable nestedException

  The exception (if any) that triggered the internal exception. This may be `null`.

Constructor Detail

### InternalNormException

    public InternalNormException(String str)

  Create an exception, forwarding a string to the superclass constructor.

Parameters:
  `str` - the detail message

### InternalNormException

    public InternalNormException(String str,
                                 Throwable ex)

  Create an exception, forwarding a string and exception to the superclass constructor.

Parameters:
  `str` - the detail message
  `ex` - the cause

Method Detail

### printStackTrace

    public void printStackTrace()

  Print the stack trace of this exception, plus that of the nested exception, if any.

### printStackTrace

    public void printStackTrace(PrintStream out)

  Print the stack trace of this exception, plus that of the nested exception, if any.

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Print the stack trace of this exception, plus that of the nested exception, if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved